%define	major 7
%define	libname %mklibname lo %{major}
%define	devname %mklibname lo -d

Summary:	Open Sound Control protocol
Name:		liblo
Version:	0.29
Release:	1
License:	GPLv2+
Group:		Sound
Url:		http://liblo.sourceforge.net/
Source0:	http://downloads.sourceforge.net/liblo/%{name}-%{version}.tar.gz
BuildRequires:	doxygen

%description
LibLO is an implementation of the Open Sound Control protocol for POSIX
systems, started by Steve Harris.

%files
%doc COPYING
%{_bindir}/*

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Dynamic libraries from %{name}
Group:		System/Libraries

%description -n %{libname}
Dynamic libraries from %{name}.

%files -n %{libname}
%doc COPYING
%{_libdir}/%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Header files and static libraries from %{name}
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Libraries and includes files for developing programs based on %{name}.

%files -n %{devname}
%doc AUTHORS NEWS ChangeLog COPYING README
%{_includedir}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc

#----------------------------------------------------------------------------

%prep
%setup -q


%build
./autogen.sh
%configure2_5x \
	--disable-static 
# do not use ipv6 atm since it causes slowness when calling dssi objects
#	--enable-ipv6

%make


%install
%makeinstall_std

%changelog

* Mon Apr 09 2018 Giovanni Mariani <mc2374@mclink.it> 0.29-1
- (d3ed96f) Updated to release 0.26


